Openi DeveloperDeveloper

Get a record and the matches it takes part in

GET
/v1/datasets/{dataset_id}/records/{record_id}
AuthorizationBearer <token>

In: header

Path Parameters

dataset_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
record_id*string
Match^-?\d+$

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/records/string"
{  "record": {    "id": -9007199254740991,    "external_id": "string",    "ingestion_id": -9007199254740991,    "ingested_on": "string",    "values": {      "property1": null,      "property2": null    }  },  "matches": [    {      "id": -9007199254740991,      "ruleset_id": "string",      "status": "matched",      "kind": "1:1",      "strategy": "pair",      "amount_diff": -9007199254740991,      "expected_count": -9007199254740991,      "score": 0,      "step": -9007199254740991,      "pass": -9007199254740991,      "job_id": "string",      "note": "string",      "decided_at": "2019-08-24T14:15:22Z",      "breakdown": {        "property1": 0,        "property2": 0      },      "left": [        {          "dataset_id": "string",          "record_id": -9007199254740991,          "external_id": "string",          "values": {            "property1": null,            "property2": null          }        }      ],      "right": [        {          "dataset_id": "string",          "record_id": -9007199254740991,          "external_id": "string",          "values": {            "property1": null,            "property2": null          }        }      ],      "created_at": "2019-08-24T14:15:22Z"    }  ]}